1. API
  2. Cases
  3. Case templates

Case templates: Get

Description

Retrieve a single case template. To see the shape a case created from this template would take, use the Preview case template API.

See the Get Cases API to learn more about cases.

Request

HTTP Method: GET

Path Parameter Description
id The case template ID.

Sample request

curl -X GET \
  https://<tenant-domain>/api/v1/case_templates/<<case_template_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'

Response

A successful request will return a JSON object representing the specified case template.

Field description

Parameter Description
id The case template ID.
name The case template name.
emoji The emoji associated with the case template.
team The team the case template belongs to - ID and name.
created_at ISO 8601 timestamp representing the date and time the case template was created.
updated_at ISO 8601 timestamp representing the date and time the case template was updated.

Sample response

{
  "id": 12,
  "name": "Phishing investigation",
  "emoji": ":fishing_pole_and_fish:",
  "team": {
    "id": 2,
    "name": "Security"
  },
  "created_at": "2026-05-25T10:00:00Z",
  "updated_at": "2026-05-25T10:00:00Z"
}
Was this helpful?